summaryrefslogtreecommitdiff
path: root/tests/mv/i-5
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2006-09-20 17:32:14 +0000
committerPaul Eggert <eggert@cs.ucla.edu>2006-09-20 17:32:14 +0000
commit2a01141018637fc06604335aea673dff95efd033 (patch)
tree4cf78e6c99e09e4a5d947e465b92829fc7a43bae /tests/mv/i-5
parentfae30e1af9aec9486b0a278c1c5e7b8c6abba498 (diff)
downloadcoreutils-2a01141018637fc06604335aea673dff95efd033.tar.xz
* NEWS: Document fix for cp -i and mv -i.
* src/copy.c (copy_internal): With -i, prompt even if the source is a directory and the destination is not. This is required by POSIX and gives the user a chance to bail out before failing. * tests/cp/Makefile.am (TESTS): Add cp-i. * tests/cp/cp-i: New file. * tests/mv/Makefile.am (TESTS): Add i-5. * tests/mv/i-5: New file.
Diffstat (limited to 'tests/mv/i-5')
-rwxr-xr-xtests/mv/i-551
1 files changed, 51 insertions, 0 deletions
diff --git a/tests/mv/i-5 b/tests/mv/i-5
new file mode 100755
index 000000000..8b29545d8
--- /dev/null
+++ b/tests/mv/i-5
@@ -0,0 +1,51 @@
+#!/bin/sh
+# Make sure `mv -i dir file' prompts before failing.
+
+# Copyright (C) 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mv --version
+fi
+
+. $srcdir/../envvar-check
+. $srcdir/../lang-default
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+mkdir a || framework_failure=1
+touch b || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+fail=0
+
+# coreutils 6.2 mv would neglect to prompt in this case.
+echo n | mv -i a b 2>/dev/null || fail=1
+
+(exit $fail); exit $fail